Skip to main content

Security Alert: Google Chrome critical vulnerability

Date:
2019-03-06 16:33:00
Status:
Closed
Brief Description:
Google has announced a critical vulnerability in the Chrome Browser. Cornell IT is patching for this vulnerability this week, or you can proactively update your browser.
Current Status:
N/A
Services Affected:
Certified Desktop
Full Description:
Google has announced a critical vulnerability in the Chrome Browser. Cornell IT is patching for this vulnerability this week, or you can proactively update your browser.

Navigate to chrome://settings/help in your browser to check your version (the latest version is 72.0.3626.121) and run an update. You can read more about this latest update here: https://chromereleases.googleblog.com/2019/03/stable-channel-update-for-desktop.html